#include "blitz/protocol/packets/UpdateHealthPacket.h"

namespace blitz {
namespace protocol {

DataBuffer UpdateHealthPacket::Serialize(bool packetID) const {
	DataBuffer data;

	WritePacketID(data, packetID);
	data << m_NewHealth;
	return data;
}

void UpdateHealthPacket::Deserialize(DataBuffer& data) {
	data >> m_NewHealth;
}

}  // namespace protocol
}  // namespace blitz
